fadd80f6af42d1cff3e314e24eeaeec1cf477a56
[wiki.git] / doc / LennyBugsAll
1 = Open RC Bugs in Lenny =
2
3 These are bugs to consider at SIPB's [LennyBugs RC-bug-squashing hackathon] for Lenny.
4
5 Bug list dumped early 2008-12-12.  The pipeline was
6  `$ cd /mit/debathena/debian-bts && ./get_bugs | sort | ./bugs-format-trac`
7
8 Please sort into useful/not useful, add notes, etc.
9
10 = Juicy? =
11
12 Try these!
13
14 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374644 374644] in [http://packages.debian.org/lenny/xine-ui xine-ui]
15 "xine-ui: ctrl/shift key press emulation implementation broken"
16 [[BR]](Note: have patch but it's broken.  Test?  Find a fix?)
17
18 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=426465 426465]
19 in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
20 "/init exports MODPROBE_OPTIONS=-qb"
21 [[BR]](Note: real bug report is near bottom.)
22
23 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476525 476525]
24 in [http://packages.debian.org/lenny/python-hid python-hid]
25 "python-hid: hid module will not import since python policy transition"
26 [[BR]](Note: have patch, looks messy, looks like not-too-hard bug to fix well.)
27
28 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=481072 481072]
29 in [http://packages.debian.org/lenny/dk-filter dk-filter]
30 "dk-filter reliably crashes upon connection from postfix"
31 [[BR]](Note: bug report, little followup.  Test, reproduce, debug, fix.)
32
33
34 = Specific hardware =
35
36 If you have the relevant hardware you could help a lot.
37
38 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=394963 394963]
39 in [http://packages.debian.org/lenny/installation-reports installation-reports]
40 "installation: Problems with dual booting Dell D600 with winXP pro in the first partition (hd0, 0). After installing the Dell Etch Beta 3, Windows fails to boot and I get the blue screen of death."
41
42 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=418972 418972]
43 in [http://packages.debian.org/lenny/installation-reports installation-reports]
44 "cdrom: Etch does not detect CD-ROM on Acer Aspire 7100"
45
46 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=478717 478717]
47 in [http://packages.debian.org/lenny/ruby1.9 ruby1.9]
48 "ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault"
49
50 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=499078 499078]
51 in [http://packages.debian.org/lenny/jfsutils jfsutils]
52 "jfsutils: Bus Error when running fsck.jfs on sparc"
53
54 = Examples =
55
56 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496954 496954]
57 in [http://packages.debian.org/lenny/bind9 bind9]
58 "bind9: Fails to start due to SIGSEGV"
59 [[BR]]This bug sat unfixed for months.  Then someone attacked it in a bug-squashing party,
60 got the first reproducible testcase, and sent that upstream, which swiftly produced a fix.
61
62
63 = May be a lot of work =
64
65 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456037 456037]
66 in [http://packages.debian.org/lenny/fenix fenix]
67 "fenix: not 64 bit clean"
68
69 = Puzzling =
70
71 Someone please explain what's going on (Debian Project-wise) in these bugs.
72
73 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=323473 323473]
74 in [http://packages.debian.org/lenny/wnpp wnpp]
75 "ITA: mol-drivers-linux -- The Mac-on-Linux emulator - drivers for Linux"
76 [[BR]](Note: The bug is for someone to take over maintainership.  They did.  Then when the bug gets automatically archived, they reply saying to keep it?  I (price) don't understand.)
77
78
79 = Unclassified =
80
81 Please read these reports and figure out what category they belong in.  Or make a new category.
82
83 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=436140 436140]
84 in [http://packages.debian.org/lenny/installation-reports installation-reports]
85 "cdrom: Most of the system's files have a future timestamp causing at least update/config problems."
86
87 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490171 490171]
88 in [http://packages.debian.org/lenny/rtorrent rtorrent]
89 "rtorrent: random crash"
90
91 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490999 490999]
92 in [http://packages.debian.org/lenny/libqt3-mt libqt3-mt]
93 "kicker: crashes on startup"
94
95 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494293 494293]
96 in [http://packages.debian.org/lenny/installation-reports installation-reports]
97 "installation-reports: Grub error: not a regular file..."
98
99 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495232 495232]
100 in [http://packages.debian.org/lenny/quagga quagga]
101 "quagga: zebra ignores routes added via command line"
102
103 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495603 495603]
104 in [http://packages.debian.org/lenny/installation-reports installation-reports]
105 "grub-installer fails on a FSC Primergy RX300 with a level 5 RAID"
106
107 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496334 496334]
108 in [http://packages.debian.org/lenny/mdadm mdadm]
109 "mdadm segfault on --assemble --force with raid10"
110
111 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497471 497471]
112 in [http://packages.debian.org/lenny/cdimage.debian.org cdimage.debian.org]
113 "sarge images have syslinux binaries without source"
114
115 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497823 497823]
116 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
117 "longstanding DFSG violations in linux-2.6 package"
118
119 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500460 500460]
120 in [http://packages.debian.org/lenny/oss-compat oss-compat]
121 "oss-compat: modules are not loaded"
122
123 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501800 501800]
124 in [http://packages.debian.org/lenny/bind9 bind9]
125 "bind9: bind crashes with a list for allow-update"
126
127 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501804 501804]
128 in [http://packages.debian.org/lenny/installation-reports installation-reports]
129 "installation-reports: Lenny b2 install on ThinkPad X61 - fails to detect hard disk"
130
131 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502140 502140]
132 in [http://packages.debian.org/lenny/pam pam]
133 "cannot unlock screen during etch -> lenny transition"
134
135 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502751 502751]
136 in [http://packages.debian.org/lenny/clamav-getfiles clamav-getfiles]
137 "clamav-getfiles: piuparts test fails: eicar.com md5sum mismatch, file needs downloading"
138
139 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503303 503303]
140 in [http://packages.debian.org/lenny/upgrade-reports upgrade-reports]
141 "etch -> lenny minimal chrrot upgrade fails due to Conflicts/Pre-Depends loop"
142
143 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503532 503532]
144 in [http://packages.debian.org/lenny/dbus dbus]
145 "send_requested_reply="true" allows all non-reply messages"
146
147 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503712 503712]
148 in [http://packages.debian.org/lenny/ghostscript ghostscript]
149 "etch->lenny upgrade left the system in broken state"
150
151 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503907 503907]
152 in [http://packages.debian.org/lenny/libwebkit-1.0-1 libwebkit-1.0-1]
153 "epiphany-webkit: Crashes at startup whenever I go to a site."
154
155 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504283 504283]
156 in [http://packages.debian.org/lenny/egroupware-core egroupware-core]
157 "CVE-2007-3215: phpmailer issue (embedded code-copy)"
158
159 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504373 504373]
160 in [http://packages.debian.org/lenny/libtemplate-perl libtemplate-perl]
161 "libtemplate-perl: Upgrade from etch breaks code using DBI plugins"
162
163 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504524 504524]
164 in [http://packages.debian.org/lenny/sun-java6 sun-java6]
165 "AWT_TOOLKIT=MToolkit causes java to segfault on amd64"
166
167 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504626 504626]
168 in [http://packages.debian.org/lenny/nvidia-glx nvidia-glx]
169 "[nvidia-glx] Quietly drops support for several chipsets"
170
171 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504661 504661]
172 in [http://packages.debian.org/lenny/nvidia-glx-legacy-96xx-dev nvidia-glx-legacy-96xx-dev]
173 "nvidia-glx-legacy-96xx-dev: /usr/lib/libGL.so symlink broken"
174
175 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747 504747]
176 in [http://packages.debian.org/lenny/gnu-fdisk gnu-fdisk]
177 "gnu-fdisk: wipes out MBR when used on GPT partitions"
178
179 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504771 504771]
180 in [http://packages.debian.org/lenny/wordpress wordpress]
181 "wordpress can be subject of delayed attacks via cookies"
182
183 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504918 504918]
184 in [http://packages.debian.org/lenny/network-manager network-manager]
185 "Updating to lenny failed when NetworkManager got updated"
186
187 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504977 504977]
188 in [http://packages.debian.org/lenny/ffmpeg-debian ffmpeg-debian]
189 "ffmpeg-debian: Several security issues"
190
191 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505237 505237]
192 in [http://packages.debian.org/lenny/snmpd snmpd]
193 "/etc/init.d/snmpd start reports error if already running"
194
195 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505563 505563]
196 in [http://packages.debian.org/lenny/icedove icedove]
197 "Mozilla Thunderbird Multiple Vulnerabilities"
198
199 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506057 506057]
200 in [http://packages.debian.org/lenny/splashy splashy]
201 "splashy: Splashy fails to install due to missing default theme"
202
203 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506353 506353]
204 in [http://packages.debian.org/lenny/mailscanner mailscanner]
205 "CVE-2008-5312/3: mailscanner might allow local users to overwrite arbitrary files via a symlink attack"
206
207 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506652 506652]
208 in [http://packages.debian.org/lenny/xml2rfc xml2rfc]
209 "Yet another boilerplate change"
210
211 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506741 506741]
212 in [http://packages.debian.org/lenny/wireshark wireshark]
213 "wireshark: DoS caused by sending a SMTP request with large content"
214
215 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506748 506748]
216 in [http://packages.debian.org/lenny/rtorrent rtorrent]
217 "crash rtorrent by scgi-interface (function: 'fi.get_filename_last')"
218
219 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506853 506853]
220 in [http://packages.debian.org/lenny/libgnutls26 libgnutls26]
221 "libgnutls26: 2.4.2-3 breaks OpenLDAP access"
222
223 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506977 506977]
224 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
225 "FPC: copyright infringement in pre 2.2.2 sources"
226
227 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507003 507003]
228 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
229 "initiatorname.iscsi should maybe not be in /etc"
230
231 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507021 507021]
232 in [http://packages.debian.org/lenny/helpdeco helpdeco]
233 "Fails to work on amd64"
234
235 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059 507059]
236 in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
237 "initramfs-tools: Wrong check for udevadm in functions"
238
239 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507071 507071]
240 in [http://packages.debian.org/lenny/racoon racoon]
241 "racoon - Fails after upgrade: symbol lookup error: /usr/sbin/racoon: undefined symbol: libipsec_opt"
242
243 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507072 507072]
244 in [http://packages.debian.org/lenny/ipsec-tools ipsec-tools]
245 "libipsec0 packaged in ipsec-tools without development headers"
246
247 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507165 507165]
248 in [http://packages.debian.org/lenny/xine-lib xine-lib]
249 "xine-lib: CVE-2008-5242 heap-based buffer overflow"
250
251 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507184 507184]
252 in [http://packages.debian.org/lenny/xine-lib xine-lib]
253 "xine-lib: CVE-2008-5246 heap overflow"
254
255 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507239 507239]
256 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
257 "RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code"
258
259 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507242 507242]
260 in [http://packages.debian.org/lenny/amule-daemon amule-daemon]
261 "amule-daemon: causes OOM's by leaking lots of memory"
262
263 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507316 507316]
264 in [http://packages.debian.org/lenny/smarty smarty]
265 "smarty: Non-free logo included in package"
266
267
268 = Fresh bugs =
269
270 These are very recent and presumably will get dealt with by the package maintainers without help.
271
272 If you're bored you might look through and see if some are interesting anyway.  Also feel free to draw the line at some other time; I (price) picked December 1, arbitrarily.
273
274
275 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=239111 239111]
276 in [http://packages.debian.org/lenny/grub grub]
277 "Freeze when installing GRUB on XFS boot partition"
278 [[BR]](Note: just re-opened 2008-12-12)
279
280 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507558 507558]
281 in [http://packages.debian.org/lenny/hibernate hibernate]
282 "ignores "LockXLock yes" setting in /etc/hibernate/common.conf (e.g. does not lock the screen)"
283
284 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507576 507576]
285 in [http://packages.debian.org/lenny/xbattbar-acpi xbattbar-acpi]
286 "missing dependency: libconfig"
287
288 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507579 507579]
289 in [http://packages.debian.org/lenny/yocto-reader yocto-reader]
290 "Package installation results in license violation"
291
292
293 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507706 507706]
294 in [http://packages.debian.org/lenny/cdimage.debian.org cdimage.debian.org]
295 "Missing sources for d-i components/kernel of etch-n-half images"
296
297 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507721 507721]
298 in [http://packages.debian.org/lenny/cryptsetup cryptsetup]
299 "cryptsetup: Sometimes initrd ends up missing conf/conf.d/cryptroot file in it"
300
301 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507818 507818]
302 in [http://packages.debian.org/lenny/mldonkey-server mldonkey-server]
303 "mldonkey-server: mlnet does not start, logs syntax error in downloads.ini"
304
305 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507865 507865]
306 in [http://packages.debian.org/lenny/openoffice.org-writer openoffice.org-writer]
307 "openoffice.org-writer: OOo 2.4.x openinig OOo 3 files doesn't show text (2.x implements standard wrong)"
308
309 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507883 507883]
310 in [http://packages.debian.org/lenny/asterisk asterisk]
311 "asterisk: Very frequent segfaults on startup"
312
313 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507889 507889]
314 in [http://packages.debian.org/lenny/mdadm mdadm]
315 "mdadm: initramfs-tools script is broken, system with root on RAID won't boot"
316
317 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507915 507915]
318 in [http://packages.debian.org/lenny/povray povray]
319 "Povray unusable with non-ascii filenames"
320
321 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507927 507927]
322 in [http://packages.debian.org/lenny/acpi-support acpi-support]
323 "Fix suspend-resume in Thinkpad R50e (intel 855gm card)"
324
325 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507944 507944]
326 in [http://packages.debian.org/lenny/xwhois xwhois]
327 "xwhois: segfaults on start in get_servers()"
328
329 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507947 507947]
330 in [http://packages.debian.org/lenny/moodle moodle]
331 "moodle: html2text.php is not DFSG-free"
332
333 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507996 507996]
334 in [http://packages.debian.org/lenny/uim-tcode uim-tcode]
335 "mazegaki conversion cannot be used"
336
337 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508026 508026]
338 in [http://packages.debian.org/lenny/phppgadmin phppgadmin]
339 "phpPgAdmin: Local File Inclusion Vulnerability"
340
341 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508091 508091]
342 in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
343 "maintainer address bounces"
344
345 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508124 508124]
346 in [http://packages.debian.org/lenny/python-m2crypto python-m2crypto]
347 "Yum crashes when setting-up a CentOS chroot OS"
348
349 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508133 508133]
350 in [http://packages.debian.org/lenny/libmad0 libmad0]
351 "audacity: munmap_chunk(): invalid pointer: 0x00000000026f4eb0"
352
353 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508194 508194]
354 in [http://packages.debian.org/lenny/sun-java5 sun-java5]
355 "sun-java5: New upstream release fixes several security issues"
356
357 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508257 508257]
358 in [http://packages.debian.org/lenny/twiki twiki]
359 "CVE-2008-5305: TWiki SEARCH variable allows arbitrary shell command execution"
360
361 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508265 508265]
362 in [http://packages.debian.org/lenny/sysprof-module-source sysprof-module-source]
363 "sysprof-module-source: doesn't compile on AMD64 arch (wrong register names)"
364
365 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508272 508272]
366 in [http://packages.debian.org/lenny/gnome-splashscreen-manager gnome-splashscreen-manager]
367 "gnome-splashscreen-manager: Refuses to start, undefined symbol: gtk_file_system_error_quark"
368
369 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508313 508313]
370 in [http://packages.debian.org/lenny/xine-lib xine-lib]
371 "xine-lib: CVE-2008-5234 heap overflow in atom parsing"
372
373 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508322 508322]
374 in [http://packages.debian.org/lenny/wodim wodim]
375 "wodim: Cannot load media.  Cannot init drive."
376
377 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508324 508324]
378 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
379 "ftp.debian.org: gcc-4.2-base is not really required"
380
381 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508351 508351]
382 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
383 "open-iscsi: will not install, looking for missing /sys/module/scsi_transport_iscsi/version file"
384
385 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508434 508434]
386 in [http://packages.debian.org/lenny/ipmitool ipmitool]
387 "ipmitool: Several init script problems due to wrong pidfile name"
388
389 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508443 508443]
390 in [http://packages.debian.org/lenny/imagemagick imagemagick]
391 "convert crash on sparc during compilation of djvulibre (work on x86-64)"
392
393 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508480 508480]
394 in [http://packages.debian.org/lenny/iodbc iodbc]
395 "iodbc: Segfaults when asking for the available DSNs"
396
397 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508510 508510]
398 in [http://packages.debian.org/lenny/debget debget]
399 "Can't parse packages.debian.org output anymore"
400
401
402 = Mostly solved? =
403
404 These look like good progress is being made and they'll get fixed soon.
405
406 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=332782 332782]
407 in [http://packages.debian.org/lenny/release-notes release-notes]
408 "release-notes: Where's the license?"
409
410 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475958 475958]
411 in [http://packages.debian.org/lenny/release-notes release-notes]
412 "document procedure to recover from "/dev/hda became /dev/sda" boot failure"
413 [[BR]](Note: looks done, just not closed.)
414
415 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476210 476210]
416 in [http://packages.debian.org/lenny/xbat xbat]
417 "xbat: game elements do not display properly"
418
419 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506883 506883]
420 in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
421 "tuxguitar: hard-codes dependencies on libraries"
422
423 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495178 495178]
424 in [http://packages.debian.org/lenny/libjs-jquery libjs-jquery]
425 "libjs-jquery: Should compile jquery.min.js and jquery.pack.js from jquery.js"
426
427 = Flamewars =
428
429 You might enjoy reading these, but they may not be good targets to fix.
430
431 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475737 475737]
432 in [http://packages.debian.org/lenny/otrs2 otrs2]
433 "otrs2 - makes files in /usr writable by non-root"
434
435
436 = Would have been fun =
437
438 Entertaining to read but sadly already fixed.
439
440 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506961 506961]
441 in auctex
442 "auctex: reuses old logfile on emacsen upgrades, enabling symlink attack"
443
444
445 = Ftpmaster bugs =
446
447 These bugs are probably not good targets because the work involved with them is easy for either the maintainer or ftpmasters to fix.
448
449 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=451628 451628]
450 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
451 "Packages might enter the archive from security without source"
452
453 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506152 506152]
454 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
455 "libept0 should have priority important"
456
457 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507675 507675]
458 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
459 "python2.5 should have priority standard"
460
461 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507678 507678]
462 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
463 "libsqlite3-0 should have priority standard"
464 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507775 507775]
465 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
466 "libkeyutils1 should have priority standard"
467
468 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507778 507778]
469 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
470 "libldap-2.4-2 should have priority standard"
471
472 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507779 507779]
473 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
474 "[Priorities] libustr-1.0-1 -> standard"
475
476 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507780 507780]
477 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
478 "python-sepolgen should have priority standard"
479
480 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507783 507783]
481 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
482 "libxml2 should have priority standard"
483
484 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507784 507784]
485 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
486 "python2.5-minimal should have priority standard"
487
488 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507796 507796]
489 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
490 "libisccfg40 should have priority standard"
491
492 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507797 507797]
493 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
494 "libisccc40 should have priority standard"
495
496 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507798 507798]
497 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
498 "libedit2 should have priority standard"
499
500 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507799 507799]
501 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
502 "libgssglue1 must have priority standard"
503
504 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507800 507800]
505 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
506 "ucf must have priority standard"
507
508 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507801 507801]
509 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
510 "libpci3 must have priority standard"
511